Page MenuHomePhabricator

Title edit field overlaps with action menu (Flow design clean-up)
Closed, ResolvedPublic

Description

When editing the title of an existing topic, the title becomes an input field but it becomes too wide and overlaps the "..." icon which provides access to the input menu.

Adding 15px (or 1em) of right-padding to the form that is used to edit the title seems to avoid the overlap:

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterFixed edit title overlap with action menu

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a subscriber: Pginer-WMF.
DannyH renamed this task from Title edit field overlaps with action menu to Title edit field overlaps with action menu (Flow design clean-up).Dec 29 2014, 9:33 PM
DannyH moved this task from Untriaged to Team discussion on the Collaboration-Team-Triage board.
DannyH updated the task description. (Show Details)
DannyH set Security to None.

sorry for late reply because i was busy in exams. Now i am free and i start the work on this extension. I am facing this error

Internal error
[d36f5bf7] /mediawiki/index.php/Special:Flow Exception from line 26 of /var/www/html/mediawiki/extensions/Flow/special/SpecialFlow.php: TODO: Redirect to users board?
Backtrace:
#0 /var/www/html/mediawiki/includes/SpecialPage.php(631): SpecialFlow->execute(NULL)
#1 /var/www/html/mediawiki/includes/SpecialPageFactory.php(488): SpecialPage->run(NULL)
#2 /var/www/html/mediawiki/includes/Wiki.php(298): SpecialPageFactory::executePath(Title, RequestContext)
#3 /var/www/html/mediawiki/includes/Wiki.php(602): MediaWiki->performRequest()
#4 /var/www/html/mediawiki/includes/Wiki.php(467): MediaWiki->main()
#5 /var/www/html/mediawiki/index.php(49): MediaWiki->run()
#6 {main}

you have any solution?

@Hiteshsofat: That problem does not look related to this task (and hence would be unrelated here). Please ask for support by contacting the Flow team instead. When doing so, please provide steps to reproduce and version information about MediaWiki and Flow (as I'm only aware of such a file under /includes instead of /special in git master).

Mattflaschen-WMF triaged this task as Medium priority.Jan 6 2015, 6:46 PM

Change 183990 had a related patch set uploaded (by Phoenix303):
Fixed edit title overlap with action menu

https://gerrit.wikimedia.org/r/183990

Patch-For-Review

Change 183990 merged by jenkins-bot:
Fixed edit title overlap with action menu

https://gerrit.wikimedia.org/r/183990

Quiddity closed this task as Resolved.Jan 28 2015, 7:41 PM